Subject: Re: [netconf] [netmod] Common etag, timestamp on all interfaces (draft-lindblad-netconf-transaction-id)

From: Kent Watsen <[email-masked]>
Date: Thu, 31 Mar 2022 15:20:59 +0000

[CC-ing NETCONF, as this discussion (and draft) belongs there.  To whomever replies to this message, please remove NETMOD from the CC-list.  Thanks!]

Hi Jan,

>> The same rules apply:
>> 
>> - ETag is a MUST, LastModified is a MAY
>> - root-node is a MUST, inner-nodes is a MAY
> 
> I'm perfectly fine with this. Since we are in agreement maybe I should just stop here. 

The "rules" mentioned above are what RFC 8040 defines.  The same rules should apply to the NETCONF equivalent.   Which is to say, the draft that defines the NETCONF-equivalent should define support for both.

> Since I noted that I haven't done a good job at explaining how the ETag mechanism works, let me take the example below and explain how this situation is avoided using ETags.

<snip/>

Regarding the PROs and CONs of ETag vs LastModified, examples can be constructed showing each being better in cases.  As protocol-designers, the choice should be given to deployments.

Kent